Get a book
curl --request GET \
--url https://api.lamarge.trade/v1/booksconst options = {method: 'GET'};
fetch('https://api.lamarge.trade/v1/books', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lamarge.trade/v1/books"
response = requests.get(url)
print(response.text){
"from": "<string>",
"to": "<string>",
"max_fill": "<string>",
"levels": [
{
"order_id": "<string>",
"supply": "<string>",
"receive": "<string>",
"available": "<string>",
"min_fill": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"quoted_at": "2023-11-07T05:31:56Z",
"sequence": 2,
"valid_until": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retryable": true
}
}Market data
Get a book
Levels for paying on from and receiving on to, best price first. A level needs a live funded order with an active quote, lease and credential, and remaining sequence budget. A level is not a reservation. More than 1000 levels returns 503 SNAPSHOT_TOO_LARGE.
GET
/
v1
/
books
Get a book
curl --request GET \
--url https://api.lamarge.trade/v1/booksconst options = {method: 'GET'};
fetch('https://api.lamarge.trade/v1/books', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lamarge.trade/v1/books"
response = requests.get(url)
print(response.text){
"from": "<string>",
"to": "<string>",
"max_fill": "<string>",
"levels": [
{
"order_id": "<string>",
"supply": "<string>",
"receive": "<string>",
"available": "<string>",
"min_fill": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"quoted_at": "2023-11-07T05:31:56Z",
"sequence": 2,
"valid_until": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retryable": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retryable": true
}
}Query Parameters
The venue the taker pays on.
A venue id from GET /v1/venues.
The venue the taker receives on.
A venue id from GET /v1/venues.